Package org.apache.sling.sitemap.builder.extensions

## Interface GoogleVideoExtension

All Superinterfaces:
  `Extension`

    @ProviderType
    public interface GoogleVideoExtension
    extends Extension

An extension to add video links and metadata to an `Url`.

See Also:
  Video sitemaps and alternatives

### Nested Class Summary

Nested Classes
`static class` `GoogleVideoExtension.Access`
`static class` `GoogleVideoExtension.Platform`
`static class` `GoogleVideoExtension.PriceType`
`static class` `GoogleVideoExtension.Resolution`

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull GoogleVideoExtension` `addPrice​(float price, @NotNull String currency, @Nullable GoogleVideoExtension.PriceType type, @Nullable GoogleVideoExtension.Resolution resolution)`
`@NotNull GoogleVideoExtension` `setAccessRestriction​(@Nullable GoogleVideoExtension.Access restriction, @Nullable Collection<String> countryCodes)` `restriction`
`@NotNull GoogleVideoExtension` `setCategory​(@Nullable String category)`
`@NotNull GoogleVideoExtension` `setDescription​(@NotNull String description)`
`@NotNull GoogleVideoExtension` `setDuration​(@Nullable Integer duration)`
`@NotNull GoogleVideoExtension` `setExpirationDate​(@Nullable LocalDate date)`
`@NotNull GoogleVideoExtension` `setExpirationDate​(@Nullable OffsetDateTime date)`
`@NotNull GoogleVideoExtension` `setFamilyFriendly​(@Nullable Boolean familyFriendly)`
`@NotNull GoogleVideoExtension` `setLive​(@Nullable Boolean live)`
`@NotNull GoogleVideoExtension` `setPlatformRestriction​(@Nullable GoogleVideoExtension.Access restriction, @Nullable Collection<GoogleVideoExtension.Platform> platforms)` `platform`
`@NotNull GoogleVideoExtension` `setPlayerUrl​(@Nullable String playerLocation)` `player_loc`
`@NotNull GoogleVideoExtension` `setPublicationDate​(@Nullable LocalDate date)`
`@NotNull GoogleVideoExtension` `setPublicationDate​(@Nullable OffsetDateTime date)`
`@NotNull GoogleVideoExtension` `setRating​(@Nullable Float rating)`
`@NotNull GoogleVideoExtension` `setRequiresSubscription​(@Nullable Boolean requiresSubscription)`
`@NotNull GoogleVideoExtension` `setTags​(@Nullable Collection<String> tags)`
`@NotNull GoogleVideoExtension` `setThumbnail​(@NotNull String thumbnailLocation)` `thumbnail_loc`
`@NotNull GoogleVideoExtension` `setTitle​(@NotNull String title)`
`@NotNull GoogleVideoExtension` `setUploader​(@Nullable String uploader)`
`@NotNull GoogleVideoExtension` `setUploaderUrl​(@Nullable String uploaderInfo)`
`@NotNull GoogleVideoExtension` `setUrl​(@Nullable String contentLocation)` `content_loc`
`@NotNull GoogleVideoExtension` `setViewCount​(@Nullable Integer viewCount)`

### Method Detail

#### setThumbnail

    @NotNull
    @NotNull GoogleVideoExtension setThumbnail​(@NotNull
                                               @NotNull String thumbnailLocation)

`thumbnail_loc`

Parameters:
  `thumbnailLocation` -
Returns:

#### setTitle

    @NotNull
    @NotNull GoogleVideoExtension setTitle​(@NotNull
                                           @NotNull String title)

#### setDescription

    @NotNull
    @NotNull GoogleVideoExtension setDescription​(@NotNull
                                                 @NotNull String description)

#### setUrl

    @NotNull
    @NotNull GoogleVideoExtension setUrl​(@Nullable
                                         @Nullable String contentLocation)

`content_loc`

Parameters:
  `contentLocation` -
Returns:

#### setPlayerUrl

    @NotNull
    @NotNull GoogleVideoExtension setPlayerUrl​(@Nullable
                                               @Nullable String playerLocation)

`player_loc`

Parameters:
  `playerLocation` -
Returns:

#### setDuration

    @NotNull
    @NotNull GoogleVideoExtension setDuration​(@Nullable
                                              @Nullable Integer duration)

#### setExpirationDate

    @NotNull
    @NotNull GoogleVideoExtension setExpirationDate​(@Nullable
                                                    @Nullable LocalDate date)

#### setExpirationDate

    @NotNull
    @NotNull GoogleVideoExtension setExpirationDate​(@Nullable
                                                    @Nullable OffsetDateTime date)

#### setRating

    @NotNull
    @NotNull GoogleVideoExtension setRating​(@Nullable
                                            @Nullable Float rating)

#### setViewCount

    @NotNull
    @NotNull GoogleVideoExtension setViewCount​(@Nullable
                                               @Nullable Integer viewCount)

#### setPublicationDate

    @NotNull
    @NotNull GoogleVideoExtension setPublicationDate​(@Nullable
                                                     @Nullable LocalDate date)

#### setPublicationDate

    @NotNull
    @NotNull GoogleVideoExtension setPublicationDate​(@Nullable
                                                     @Nullable OffsetDateTime date)

#### setTags

    @NotNull
    @NotNull GoogleVideoExtension setTags​(@Nullable
                                          @Nullable Collection<String> tags)

#### setCategory

    @NotNull
    @NotNull GoogleVideoExtension setCategory​(@Nullable
                                              @Nullable String category)

#### setFamilyFriendly

    @NotNull
    @NotNull GoogleVideoExtension setFamilyFriendly​(@Nullable
                                                    @Nullable Boolean familyFriendly)

#### setAccessRestriction

    @NotNull
    @NotNull GoogleVideoExtension setAccessRestriction​(@Nullable
                                                       @Nullable GoogleVideoExtension.Access restriction,
                                                       @Nullable
                                                       @Nullable Collection<String> countryCodes)

`restriction`

Parameters:
  `restriction` -
  `countryCodes` -
Returns:

#### setPlatformRestriction

    @NotNull
    @NotNull GoogleVideoExtension setPlatformRestriction​(@Nullable
                                                         @Nullable GoogleVideoExtension.Access restriction,
                                                         @Nullable
                                                         @Nullable Collection<GoogleVideoExtension.Platform> platforms)

`platform`

Parameters:
  `restriction` -
  `platforms` -
Returns:

#### addPrice

    @NotNull
    @NotNull GoogleVideoExtension addPrice​(float price,
                                           @NotNull
                                           @NotNull String currency,
                                           @Nullable
                                           @Nullable GoogleVideoExtension.PriceType type,
                                           @Nullable
                                           @Nullable GoogleVideoExtension.Resolution resolution)

#### setRequiresSubscription

    @NotNull
    @NotNull GoogleVideoExtension setRequiresSubscription​(@Nullable
                                                          @Nullable Boolean requiresSubscription)

#### setUploader

    @NotNull
    @NotNull GoogleVideoExtension setUploader​(@Nullable
                                              @Nullable String uploader)

#### setUploaderUrl

    @NotNull
    @NotNull GoogleVideoExtension setUploaderUrl​(@Nullable
                                                 @Nullable String uploaderInfo)

#### setLive

    @NotNull
    @NotNull GoogleVideoExtension setLive​(@Nullable
                                          @Nullable Boolean live)